/**
* 
* @author José Rojel
* 
*  CSVReader se encarga de acceder a la base de datos y
* 	sacar datos específicos para su posterior visualización.
*	
*/

import org.apache.commons.csv.CSVFormat;
import org.apache.commons.csv.CSVPrinter;

import java.io.*;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.*;

public class CSVReader {
private File file; 
	
	public CSVReader(String file_name)	{
			file = new File(file_name);
		}
	
	public String[] getLastLine() throws IOException {
		try (BufferedReader br = new BufferedReader(new FileReader(file))){
			String last="";
			String line="";
			String csvSplitBy = ",";
			//do {
//				line = br.readLine();
//			}
			while ((line=br.readLine()) != null) {
				last = line;
			}
				return last.split(csvSplitBy);
			}
		}
	
	public int lineNumbers() throws IOException {
		try (BufferedReader br = new BufferedReader(new FileReader(file))){
			if(br.readLine() == null){return 0;}
			int counter = 0;
			do { 
				counter++;
					
			}
			while (br.readLine() != null);
			return counter;
			}
	}
	
	public String[] getRecord(int index) throws IOException {
		try (BufferedReader br = new BufferedReader(new FileReader(file))){
			if(index<2) {
				String[] drop = new String[5];
				drop[0] = "-";
				drop[1] = "0";
				drop[2] = "0";
				drop[3] = "0";
				drop[4] = "0";
				return drop;
			}
			String lineN = "";
			String csvSplitBy = ",";
			for (int i=0; i<index; i++) {
				lineN = br.readLine();
			}
			return lineN.split(csvSplitBy);
		}
	}

	
}
